import './App.css'
import { ThemeProvider } from '@mui/material/styles'
import { Routes, Route } from 'react-router-dom'
import { theme } from './Services/Utils/theme'
import { Box } from '@mui/material'

import HomePage from './Pages/Home/Homepage'
import VideoCall from './Pages/VideoCall/VideoCall'
import SignInSide from './Pages/SignIn/SignInSide'


import DrawerAppBar from './Components/DrawerAppBar/DrawerAppBar'
import LearnHomePage from './Pages/Learn/HomePage/Home.page'
import RegisterPage from './Pages/Learn/RegisterPage/Register.page'
import Login from './Pages/Learn/LoginPage/Login.page'
import SelectDifficultyPage from './Pages/Learn/SelectDifficultyPage/SelectDifficulty.page'
import ResourcesPage from './Pages/Learn/ResourcesPage/Resources.page'
import MoreResourcesPage from './Pages/Learn/MoreResourcesPage/MoreResources.page'
import MoreResourcesDetailsPage from './Pages/Learn/MoreResourcesDetailsPage/MoreResourcesDetails.page'
import GameDetails from './Pages/Learn/GameDetailsPage/GameDetails.page'
import GamePage from './Pages/Learn/GamePage/game.page'
import Dictionary from './Pages/Learn/DictionaryPage/Dictionary.page'

function App() {
  return (
      <Box className='App'>
        <Routes>

        <Route path='/' element={<ThemeProvider theme={theme}><HomePage /></ThemeProvider>} />
        <Route path='/SignInSide' element={<ThemeProvider theme={theme}><SignInSide /></ThemeProvider>} />
        <Route path='/videocall' element={<ThemeProvider theme={theme}><VideoCall /></ThemeProvider>} />
        <Route path='/:channel' element={<ThemeProvider theme={theme}><VideoCall /></ThemeProvider>} />


          <Route element={<DrawerAppBar />}>
            <Route path='/training' element={<LearnHomePage />} />
            <Route path='/select' element={<SelectDifficultyPage />} />
            <Route path='/resources/:level' element={<ResourcesPage />} />
            <Route path='/moreResources/:resourcesId' element={<MoreResourcesPage />} />
            <Route path='/moreResourcesDetails/:itemId' element={<MoreResourcesDetailsPage />} />
            <Route path='/game/:resourcesId' element={<GamePage />} />
            <Route path='/gameDetails/:gameId/:resourcesId' element={<GameDetails />} />
            <Route path='/register' element={<RegisterPage />} />
            <Route path='/login' element={<Login />} />
            <Route path='/dictionary' element={<Dictionary />} />
          </Route>

        </Routes>
      </Box>
  )
}

export default App
